Subject: [bug#40373] [PATCH] guix: new command "guix run-script"

From: Ludovic Courtès <[email-masked]>
Date: Wed, 01 Apr 2020 23:00:29 +0200

Hi Konrad,

Konrad Hinsen <[email-masked]> skribis:

> +The @command{guix run-script} command executes a Guile script
> +(@pxref{Running Guile Scripts,,, guile, GNU Guile Reference Manual}).
> +Compared to just launching the @command{guile} command,
> +@command{guix run-script} guarantees that all the Guix modules
> +and all its dependencies are available in the search path.

What about making that just a new ‘-s’ flag for ‘guix repl’ (just like
Guile’s ‘-s’ flag)?  ‘-q’ should always be implied when doing that.

Now, this wouldn’t be usable as a shebang due to the fact that only one
argument is allowed, unless we do some extra argument tokenizing.

Thanks,
Ludo’.